Plans

Export a plan as markdown, CSV or JSON

GET
/v1/projects/{projectSlug}/plans/{planShortId}/export

Authorization

bearerAuth
AuthorizationBearer <token>

A personal API key (psk_…) or an OAuth access token (plan_at_…). Scopes: read, write.

In: header

Path Parameters

projectSlug*string

Project slug, e.g. recipe-box.

planShortId*string

Plan handle within the project, e.g. PLAN-12.

Query Parameters

format?string

Defaults to md. Markdown and CSV come back as a file download.

Value in

  • "md"
  • "markdown"
  • "csv"
  • "json"

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/projects/string/plans/string/export"
{  "name": "string",  "specs": [    {      "id": "string",      "shortId": "string",      "title": "string",      "content": "string",      "status": "string",      "parentSpecId": "string",      "parentShortId": "string",      "needsFirst": [        "string"      ],      "effort": 1,      "effortLabel": "string",      "readiness": 1,      "readinessLabel": "string"    }  ]}